#pragma once
#include "resource.h"

// Dlg dialog

extern void printVers();
extern void syncCurSetToFileSet();
extern void reportNotProcessed();

class Dlg : public CDialog
{
	DECLARE_DYNAMIC(Dlg)

public:
	Dlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~Dlg();

// Dialog Data
	enum { IDD = IDD_DIALOG1 };

	BOOL Create( CWnd* pParent );

	LRESULT onAcadKeepFocus( WPARAM, LPARAM );
	BOOL OnInitDialog();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	int m_R;
	afx_msg void OnBnClickedButton1();
	afx_msg void OnDeltaposSpin1(NMHDR *pNMHDR, LRESULT *pResult);
	int m_SegQty;
	CEdit m_SegQtyWnd;
	CProgressCtrl m_Progress;
	afx_msg void OnEnChangeEdit1();
	BOOL m_SelElems;
	BOOL m_Mirror;
	CButton m_btnOk;
	afx_msg void OnBnClickedRadio1();
	afx_msg void OnBnClickedRadio2();
	afx_msg void OnBnClickedRadio3();
	afx_msg void OnBnClickedRadio4();
	afx_msg void OnBnClickedRadio5();
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	void syncToSettings(void);
};
